buildr-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Antoine Toulme <anto...@lunar-ocean.com>
Subject Re: Changing Jetty version and system properties
Date Wed, 07 Jul 2010 15:25:18 GMT
Sure.
Actually it could be much better from what I read. You can probably rework
it.

1. Buildr::Jetty::REQUIRES is an array, so you can manipulate it:

At the top of the Buildfile:

Buildr::Jetty::REQUIRES.clear
Buildr::Jetty::REQUIRES |= [ "org.mortbay.jetty:jetty:jar:#{VERSION}",
"org.mortbay.jetty:jetty-util:jar:#{VERSION}",
      "org.mortbay.jetty:servlet-api-2.5:jar:#{VERSION}",
"org.slf4j:slf4j-api:jar:#{SLF4J_VERSION}",
      "org.slf4j:slf4j-simple:jar:#{SLF4J_VERSION}",
"org.slf4j:jcl104-over-slf4j:jar:#{SLF4J_VERSION}" ]

2. You can set system properties in Buildr very easily:

Java.java.lang.System.setProperty("foo", "bar")

Note that this was broken with 1.4. 1.4.1 fixes it.

On Wed, Jul 7, 2010 at 04:18, Lauri Fjällström
<lauri.fjallstrom@gmail.com>wrote:

> Hi,
>
> Buildr seems to be a very nice build tool. However, I'm still having a
> couple of issues with it. So, is there a way in Buildr to change the Jetty
> version? Also, Can I somehow set some system properties for the Jetty jvm?
>
> Best,
> Lauri
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message